Is caching server connect edition 3.2 RU compatible with integration server SS4 v8i ?

Hello

I have a remote site with a Connect edition cache server 3.2RU that is used for a connect edition integration server 3.2RU

The users need to connect to another integration server that is a Projectwise Integration Server SS4 590

Is the cache server Connect fully compatible with an integration server SS4 590 ?

i'm not sure i understand the compatibility matrix for ProjectWise server compatibility https://docs.bentley.com/LiveContent/web/ProjectWise%20Version%20Support%20Matrix-v1/en/GUID-1A2E193F-C3D9-4709-92A2-E5B9301B5946.html

thanks